Agent (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.Agent class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef
Class Agent

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.appdef.AppdefBean
              org.hyperic.hq.appdef.Agent

All Implemented Interfaces:
  java.io.Serializable, ContainerManagedTimestampTrackable

    public class Agent

extends AppdefBean

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.appdef.AppdefBean
`cid, creationTime, modifiedTime`

Constructor Summary
`Agent()`
`Agent(AgentType type, java.lang.String address, java.lang.Integer port, boolean unidirectional, java.lang.String authToken, java.lang.String agentToken, java.lang.String version)`

Method Summary
`java.lang.String` | `connectionString()`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getAddress()`
`java.lang.String` | `getAgentToken()`
`AgentType` | `getAgentType()`
`java.lang.String` | `getAuthToken()`
`java.util.Collection` | `getPlatforms()`
`java.lang.Integer` | `getPort()`
`java.lang.String` | `getVersion()`
`int` | `hashCode()`
`boolean` | `isNewTransportAgent()`
`boolean` | `isUnidirectional()`
`void` | `setAddress(java.lang.String address)`
`void` | `setAgentToken(java.lang.String agentToken)`
`void` | `setAgentType(AgentType agentType)`
`void` | `setAuthToken(java.lang.String authToken)`
`void` | `setPlatforms(java.util.Collection platforms)`
`void` | `setPort(int port)`
`void` | `setPort(java.lang.Integer port)`
`void` | `setUnidirectional(boolean unidirectional)`
`void` | `setVersion(java.lang.String version)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.appdef.AppdefBean
`allowContainerManagedCreationTime, allowContainerManagedLastModifiedTime, getCid, getCreationTime, getCTime, getModifiedTime, getMTime, matchesValueObject, setCid, setCreationTime, setModifiedTime`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Agent

    public Agent()

### Agent

    public Agent(AgentType type,
                 java.lang.String address,
                 java.lang.Integer port,
                 boolean unidirectional,
                 java.lang.String authToken,
                 java.lang.String agentToken,
                 java.lang.String version)

Method Detail

### getAddress

    public java.lang.String getAddress()

### setAddress

    public void setAddress(java.lang.String address)

### getPort

    public java.lang.Integer getPort()

### setPort

    public void setPort(java.lang.Integer port)

### setPort

    public void setPort(int port)

### getAuthToken

    public java.lang.String getAuthToken()

### setAuthToken

    public void setAuthToken(java.lang.String authToken)

### getAgentToken

    public java.lang.String getAgentToken()

### setAgentToken

    public void setAgentToken(java.lang.String agentToken)

### getVersion

    public java.lang.String getVersion()

### setVersion

    public void setVersion(java.lang.String version)

### isUnidirectional

    public boolean isUnidirectional()

### setUnidirectional

    public void setUnidirectional(boolean unidirectional)

### isNewTransportAgent

    public boolean isNewTransportAgent()

### getAgentType

    public AgentType getAgentType()

### setAgentType

    public void setAgentType(AgentType agentType)

### getPlatforms

    public java.util.Collection getPlatforms()

### setPlatforms

    public void setPlatforms(java.util.Collection platforms)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `AppdefBean`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `AppdefBean`

### connectionString

    public java.lang.String connectionString()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.